NativeScript 1.2 Update

7 posts, 0 answers
  1. DEA
    DEA avatar
    8 posts
    Member since:
    Jul 2015

    Posted 27 Jul 2015 Link to this post

    I currently have a NativeScript project I'm working on using the VS 2013 plugin. I know NativeScript 1.2 has been released, but when I check my package.json file I'm still on 1.0.0. When I build in the cloud does it automatically build with 1.2? Or are there any steps I need to take to ensure I'm always using the the most recent version NativeScript?
  2. DEA
    DEA avatar
    8 posts
    Member since:
    Jul 2015

    Posted 27 Jul 2015 in reply to DEA Link to this post

    After digging a little deeper when I go to the project properties, under the general tab I can see a drop down for NativeScript Version, but 1.2 is not listed. So I guess my question would be, how can I implement version 1.2 or at least 1.1 (I'm trying to use a Repeater)? Any help would be greatly appreciated.  
  3. DEA
    DEA avatar
    8 posts
    Member since:
    Jul 2015

    Posted 27 Jul 2015 in reply to DEA Link to this post

    Update: Sorry I couldn't figure out how to edit a post, but I have found a temporary solution to not being able to use repeater ( I just moved the tns_modules\ui\repeater folder into my proejct ). 

     Feel free to close this thread, and I'll keep my eyes peeled on when 1.1 / 1.2 will be available to AppBuilder.

  4. Tina Stancheva
    Admin
    Tina Stancheva avatar
    3298 posts

    Posted 30 Jul 2015 Link to this post

    Hello,

    AppBuilder now supports NativeScript 1.1.2 as well. This is not the very latest version of NativeScript but this is the latest version we were able to verify as stable in AppBuilder. At this time, although we are working very hard to keep up with the aggressive development pace of NativeScript, we need more time to extensively test the latest bits before we can support them.

    With that said, I should also note that you can manually import the latest modules from the NativeScript repository and place them in your AppBuilder project but we cannot guarantee that their functionality will work as expected in all scenarios. This is due to the fact that the latest modules are designed to work with the latest {N} runtime environment, which is not yet available in AppBuilder.

    Let me know if you have any further comments or concerns on that matter.

    Regards,
    Tina Stancheva
    Telerik
     

    Visit the Telerik Verified Plugins Marketplace and get the custom Cordova plugin you need, already tweaked to work seamlessly with AppBuilder.

     
  5. DEA
    DEA avatar
    8 posts
    Member since:
    Jul 2015

    Posted 04 Aug 2015 in reply to Tina Stancheva Link to this post

    Hi Tina,

     Thank you for your reply? Is there any timeline as to when 1.2 will be available for the VS plugin? I'd love to start using the Telerik UI for NativeScript.

  6. Tina Stancheva
    Admin
    Tina Stancheva avatar
    3298 posts

    Posted 06 Aug 2015 Link to this post

    Hi,

    We are planning to release an update of AppBuilder specifically targeting the support for NativeScript 1.2. The release is expected out in about 2 weeks although I cannot yet commit to an exact date.

    Regards,
    Tina Stancheva
    Telerik
     

    Visit the Telerik Verified Plugins Marketplace and get the custom Cordova plugin you need, already tweaked to work seamlessly with AppBuilder.

     
  7. DEA
    DEA avatar
    8 posts
    Member since:
    Jul 2015

    Posted 06 Aug 2015 in reply to Tina Stancheva Link to this post

    Great! Thank you for your response.
Back to Top